#!/bin/bash
# 
# Copyright (C) 2012, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
# 
# ubuntu-server-iso-testing is free software: you can redistribute it 
# and/or modify it under the terms of the GNU General Public License 
# as published by the Free Software Foundation, either version 3 of 
# the License, or (at your option) any later version.
# 
# ubuntu-server-iso-testing is distributed in the hope that it will 
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see 
# <http://www.gnu.org/licenses/>.
# 


set -e

echo "pwd"
pwd
echo "id"
id
echo "/proc/self/status"
cat /proc/self/status
echo "ls /"
ls /
echo "ls /proc"
ls /proc
echo "I am $$"

# Note - when 0.9.0-rc1 is merged into raring, we can drop the
# building of the package, as api_test.py won't need to be preprocessed
# any more.
rm -rf lxc*

# we'll probably need to add -updates if not in latest release
r=$(awk -F= '/CODENAME/ {print $2}' /etc/lsb-release)
x=$(rmadison -s ${r}-updates lxc)
if [ -n "$x" ]; then
	r=${r}-updates
fi
pull-lp-source lxc $r
rm *.gz *.dsc
mv lxc-* lxc

cd lxc
#debian/rules build
python3 src/python-lxc/examples/api_test.py

exit 0
