#!/usr/bin/python
#
# Copyright (C) 2010, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-server-iso-testing.
#
# ubuntu-server-iso-testing is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-server-iso-testing is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-server-iso-testing.  If not, see
# <http://www.gnu.org/licenses/>.
#


import logging
import unittest
import urllib2

logging.basicConfig(level=logging.INFO)


class LampTest(unittest.TestCase):
    def testApache(self):
        local_host_url = 'http://localhost:80'
        try:
            fh = urllib2.urlopen(local_host_url)
        except urllib2.HTTPError, e:
            logging.error("Failed to open localhost, '%s' error", e)
            self.fail("Failed to connect to the localhost")
        output = fh.read()
        logging.debug("Check if \'It works!\' is present in: %s" % (output))
        self.assertTrue('It works!' in output)

if __name__ == '__main__':
    unittest.main()
